Subject: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Glenn Morris <[email-masked]>
Date: Thu, 25 Oct 2012 12:02:40 -0400

draxil wrote:

> Last time I used perl-mode *was* a long time ago, but it had broken syntax
> highlighting and things like indentation couldn't take account of perl
> syntax very well. 

This is all very vague.

>From a maintenance point of view, cperl-mode.el is 9 times longer than
perl-mode.el. You may say "it's 9 times better", but to me it seems
overly complicated. This, plus the fact that we effectively are not
allowed to ever simplify away any of the huge amount of compatibility
cruft for ancient Emacs versions (Emacs 19!) that it contains, makes it
much less appealing as a default from that viewpoint.

I think you are much more likely to get a response by filing specific
bug reports about areas where perl-mode.el is lacking.